# MongoDB\BSON\ObjectIdInterface::getTimestamp

(mongodb >=1.3.0)

MongoDB\BSON\ObjectIdInterface::getTimestamp — Returns the timestamp component of this ObjectIdInterface

### Description

abstract public MongoDB\BSON\ObjectIdInterface::getTimestamp ( void ) : int

### Parameters

This function has no parameters.

### Return Values

Returns the timestamp component of this ObjectIdInterface.

### See Also

- MongoDB\BSON\ObjectId::getTimestamp() - Returns the timestamp component of this ObjectId